org.vertx.java.deploy.impl

## Class VertxLocator

- java.lang.Object
- - org.vertx.java.deploy.impl.VertxLocator

    public class VertxLocator
    extends java.lang.Object

Used by the vert.x API in a scripting language to get references to the Java API We create a distinct class instance in a different classloader for each verticle so each one can see a different Vertx instance

### Field Summary

Fields
`static Container` `container`
`static Vertx` `vertx`

### Constructor Summary

Constructors
Constructor and Description
`VertxLocator()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### vertx

    public static Vertx vertx

#### container

    public static Container container

### Constructor Detail

#### VertxLocator

    public VertxLocator()